按 URL 采集 Google SERP 100 条结果
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>",
"keyword": "<string>",
"tbm": "<string>",
"language": "<string>",
"uule": "<string>",
"brd_mobile": "<string>",
"tbs": "<string>",
"nfpr": "<string>",
"index": "<string>"
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [
{
"url": "<string>",
"keyword": "<string>",
"tbm": "<string>",
"language": "<string>",
"uule": "<string>",
"brd_mobile": "<string>",
"tbs": "<string>",
"nfpr": "<string>",
"index": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: [
{
url: '<string>',
keyword: '<string>',
tbm: '<string>',
language: '<string>',
uule: '<string>',
brd_mobile: '<string>',
tbs: '<string>',
nfpr: '<string>',
index: '<string>'
}
]
})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"keyword": "best coffee nyc",
"results": [
{
"position": 1,
"title": "The 38 Best Coffee Shops in NYC",
"link": "https://example.com/best-coffee-nyc",
"display_link": "example.com",
"description": "Our picks for the top coffee shops in New York City."
}
],
"total_results": 100
}
]
Google
按 URL 采集 Google SERP 100 条结果
使用 Bright Data Web Scraper API 按查询采集最多 100 条 Google 自然搜索结果。POST /datasets/v3/scrape 以 JSON 格式返回结果。
POST
/
datasets
/
v3
/
scrape
按 URL 采集 Google SERP 100 条结果
查询参数
string
默认值:"gd_mfz5x93lmsjjjylob"
必填
用于此请求的数据集 ID。
必须设置为
gd_mfz5x93lmsjjjylob 以采集按 URL 的 Google SERP 100 条结果数据。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求体
object[]
必填
输入对象的数组。
显示 properties
显示 properties
示例
{
"input": [
{
"url": "https://www.google.com/search?q=best+coffee+nyc",
"keyword": "best coffee nyc",
"tbm": "",
"language": "en",
"uule": "",
"brd_mobile": "",
"tbs": "",
"nfpr": "",
"index": ""
}
]
}
[
{
"keyword": "best coffee nyc",
"results": [
{
"position": 1,
"title": "The 38 Best Coffee Shops in NYC",
"link": "https://example.com/best-coffee-nyc",
"display_link": "example.com",
"description": "Our picks for the top coffee shops in New York City."
}
],
"total_results": 100
}
]
此页面对您有帮助吗?